pkgCache::VerFileIterator Class Reference
Inheritance diagram for pkgCache::VerFileIterator:
[legend]
Collaboration diagram for pkgCache::VerFileIterator:
[legend]

## Public Member Functions

constexpr VerFile * | OwnerPointer () const noexcept
VerFileIterator & | operator++ ()
VerFileIterator | operator++ (int)
constexpr PkgFileIterator | File () const noexcept
constexpr | VerFileIterator (pkgCache &Owner, VerFile *Trg) noexcept
Public Member Functions inherited from pkgCache::Iterator< VerFile, VerFileIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const VerFileIterator &B) const noexcept
constexpr bool | operator!= (const VerFileIterator &B) const noexcept
constexpr VerFile * | operator-> () noexcept
constexpr | operator VerFile * () noexcept
constexpr | operator VerFile const * () const noexcept
constexpr VerFile & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< VerFile > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members

Public Types inherited from pkgCache::Iterator< VerFile, VerFileIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< VerFile, VerFileIterator >
VerFile * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h